package cn.iocoder.yudao.module.pms.dal.mysql.yfclass;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.pms.controller.admin.vo.IotProductClassifyListReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.yfclass.vo.IotYfClassifyPageReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.IotProductClassifyDO;
import cn.iocoder.yudao.module.pms.dal.dataobject.yfclass.IotYfClassifyDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 油服设备分类 Mapper
 *
 * @author 超级管理员
 */
@Mapper
public interface IotYfClassifyMapper extends BaseMapperX<IotYfClassifyDO> {

    default PageResult<IotYfClassifyDO> selectPage(IotYfClassifyPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<IotYfClassifyDO>()
                .eqIfPresent(IotYfClassifyDO::getParentId, reqVO.getParentId())
                .likeIfPresent(IotYfClassifyDO::getName, reqVO.getName())
                .eqIfPresent(IotYfClassifyDO::getCode, reqVO.getCode())
                .eqIfPresent(IotYfClassifyDO::getSort, reqVO.getSort())
                .eqIfPresent(IotYfClassifyDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(IotYfClassifyDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(IotYfClassifyDO::getRemark, reqVO.getRemark())
                .orderByDesc(IotYfClassifyDO::getId));
    }

    default List<IotYfClassifyDO> selectList(IotProductClassifyListReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<IotYfClassifyDO>()
                .likeIfPresent(IotYfClassifyDO::getName, reqVO.getName())
                .eqIfPresent(IotYfClassifyDO::getStatus, reqVO.getStatus()));
    }
}
